## kbibtex 0.3

=== config/CMakeLists.txt ===
install( FILES fieldtypes.rc entrytypes.rc entrylayout.rc DESTINATION ${DATA_INSTALL_DIR}/kbibtex )
