=== xslt/CMakeLists.txt ===
install( FILES fancy.xsl DESTINATION ${DATA_INSTALL_DIR}/kbibtex )
install( FILES standard.xsl DESTINATION ${DATA_INSTALL_DIR}/kbibtex )
install( FILES arxiv2bibtex.xsl DESTINATION ${DATA_INSTALL_DIR}/kbibtex )
