## kbibtex 0.2.3.90

=== debian/changelog ===
kbibtex (0.2.3.90-1) unstable; urgency=low

  * New upstream release (Closes: #563684).
  * Switch to source package version 3.0 (quilt).
  * Bumped Standards-Version to 3.9.0, no changes necessary.
  * Link against libyaz to enable Z39.50 support (Closes: #550547).

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 21 Jul 2010 12:02:48 -0400

kbibtex (0.2.3-1) unstable; urgency=low

  * New upstream version. New Google Scholar search engine.
  * Bumped Standards-Version to 3.8.3.0 No changes necessary.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 23 Aug 2009 19:18:34 -0400

kbibtex (0.2.2-1) unstable; urgency=low

  * New upstream version (Closes: #487301, #507837, #518959, #520392).
  * Bumped Standards-Version to 3.8.1. No changes necessary.
  * Added 'DM-Upload-Allowed: yes'.
  * Added missing '${misc:Depends}'.
  * Support for per-file encoding settings (Closes: #514356)
  * Upgrade debhelper compatibility to version 5.
  * Update debian/copyright for 2009 release.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 15 Jun 2009 12:41:19 +0200

kbibtex (0.2.1-1) unstable; urgency=low

  * New Upstream Version.
  * Bumped Standards-version to 3.7.3 (no changes necessary).

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 17 Mar 2008 21:58:16 +0100

kbibtex (0.2-2) unstable; urgency=low

  * Link binary with --as-needed to dramatically reduce the number of package
    dependencies.

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 27 Nov 2007 09:48:11 +0100

kbibtex (0.2-1) unstable; urgency=low

  * New Upstream Version
  * Moved homepage link to new Homepage filed in debian/control.
  * Added VCS information to debian/control.
  * KBibTeX now notices when a file was modified outside and asks whether
    it should reload that file (Closes: #427983).

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 28 Oct 2007 10:21:01 +0100

kbibtex (0.1.5.55-1) unstable; urgency=low

  * New upstream release. Merged patches with upstream.
  * Packaging is now maintained in a GIT repository. Removing obsolete dpatch
    build-dependency.
  * Merge functionality was added (Closes: #434746).
  * Support for exporting to Reference Manager RIS format was added.
  * Updated menu file for the new menu policy.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 21 Sep 2007 14:16:18 +0200

kbibtex (0.1.5-5) unstable; urgency=low

  * Added latex2rtf as suggested package, because it is required for export
    into the RTF format.
  * Improved package description. Thanks to Yaroslav Halchenko for pointing
    to this issue.
  * Added patch to fix broken XSLT export.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 17 Mar 2007 08:35:37 +0100

kbibtex (0.1.5-4) unstable; urgency=low

  * Modified package dependencies to be compatible with texlive.
  * Switch from tetex-bin suggestion to tetex-extra to have url.sty available
    for exporting via latex.
  * Added recommendation of texlive-bibtex-extra for additional citation
    styles.
  * Added patches to fix empty search results when doing multiple pubmed
    queries and a bug when storing search URLs. Thanks Thomas Fischer.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri,  2 Mar 2007 20:11:34 +0100

kbibtex (0.1.5-3) unstable; urgency=low

  * Included upstream patch that fixes the display of accented characters
    (Closes: #400065).

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 25 Nov 2006 19:11:01 +0100

kbibtex (0.1.5-2) unstable; urgency=low

  * Fix FTBFS due to an invalid pure specifier. Thanks to Matthias Klose and 
    Martin Michlmayr. (Closes: #395378, #394143)

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 26 Oct 2006 21:50:18 +0200

kbibtex (0.1.5-1) unstable; urgency=low

  * New upstream release.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat,  7 Oct 2006 08:37:00 +0200

kbibtex (0.1.4.85-1) unstable; urgency=low

  * New upstream release-candidate.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri,  6 Oct 2006 07:09:06 +0200

kbibtex (0.1.4.81-1) unstable; urgency=low

  * New upstream release-candiate.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu,  5 Oct 2006 10:15:59 +0200

kbibtex (0.1.4.80-1) unstable; urgency=low

  * New upstream release-candidate.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed,  4 Oct 2006 09:36:33 +0200

kbibtex (0.1.4-2) unstable; urgency=low

  * Bumped Standards-Version to 3.7.2 (no changes necessary).
  * Added missing debian/compat file to note debhelper v4 compatibility.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 19 Jul 2006 12:10:55 +0200

kbibtex (0.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 26 Apr 2006 15:59:31 +0200

kbibtex (0.1.3.95-1) unstable; urgency=low

  * New upstream release-candidate.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 22 Feb 2006 21:06:12 +0100

kbibtex (0.1.3-2) unstable; urgency=low

  * Initial Release. (Closes: #328106)

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 17 Dec 2005 21:57:40 +0100
