=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS += -Wl,--as-needed
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/kde.mk
