=== debian/watch ===
version=3
http://www.unix-ag.uni-kl.de/~fischer/kbibtex/download/kbibtex-([\d\.]+)\.tar\.bz2
