## kbibtex 0.3

=== debian/changelog ===
kbibtex (0.3-1) unstable; urgency=low

  * First upstream release for KDE4 (Closes: #634255). A number of search
    engines are still missing, in comparison to the 0.2 series.
  * Bumped Standards-Version to 3.9.2, no changes necessary.

 -- Michael Hanke <mih@debian.org>  Mon, 18 Jul 2011 09:29:48 -0400

kbibtex (0.3~beta1+svn561-1) experimental; urgency=low

  * New upstream code for KDE4/Qt4 port (Closes: #604279).

 -- Michael Hanke <mih@debian.org>  Sun, 13 Mar 2011 21:23:22 -0400
