=== debian/rules ===
#!/usr/bin/make -f

# one ring to rule them all ...
%:
	dh $@

override_dh_auto_configure::
	dh_auto_configure -- \
		-DPLUGIN_INSTALL_DIR:PATH=/usr/lib/kde4 \
		-DLIB_INSTALL_DIR:PATH=/usr/lib/kbibtex
