=== debian/watch ===
version=3
opts="passive,uversionmangle=s/-test/\~test/;s/-beta/\~beta/" \
http://download.gna.org/kbibtex/0.3/kbibtex-(.*)\.tar\.bz2
