## kbibtex 0.4~beta1

=== debian/changelog ===
kbibtex (0.4~beta1-1) unstable; urgency=low

  * New upstream release (Closes: #643751). Most search engines from the 0.2
    series are back. Does not modify 'localfile' fields in BibTeX entries
    anymore (Closes: #644024).
  * Adjust watch file for 0.4 series.
  * Update debian/copyright and migrate to DEP5-compliant format.
  * Added rudimentary git-buildpackage configuration.
  * Add patch that removes an unnecessary xdg-open interpreter shebang from
    kbibtex.desktop.

 -- Michael Hanke <mih@debian.org>  Sun, 02 Oct 2011 09:14:19 +0200
