=== config/CMakeLists.txt ===
install( FILES kbibtexrc DESTINATION ${CONFIG_INSTALL_DIR} )
