=== man/CMakeLists.txt ===
install( FILES kbibtex.1 DESTINATION ${MANDIR}/man1 )
