=== src/gui/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/widgets
     ${CMAKE_CURRENT_SOURCE_DIR}/widgets
     ${CMAKE_CURRENT_SOURCE_DIR}/config
+    ${CMAKE_CURRENT_SOURCE_DIR}/../processing/
     ${CMAKE_CURRENT_SOURCE_DIR}/../libkbibtexio/
     ${CMAKE_CURRENT_SOURCE_DIR}/../libkbibtexio/config
 )
@@ -19,7 +20,9 @@
     field/fieldinput.cpp
     field/fieldlineedit.cpp
     field/fieldlistedit.cpp
+    field/colorlabelwidget.cpp
     bibtex/bibtexeditor.cpp
+    bibtex/findduplicatesui.cpp
     bibtex/clipboard.cpp
     bibtex/bibtexfilemodel.cpp
     bibtex/bibtexfileview.cpp
@@ -27,13 +30,23 @@
     element/elementwidgets.cpp
     widgets/menulineedit.cpp
     widgets/filterbar.cpp
+    widgets/radiobuttontreeview.cpp
     config/entrylayout.cpp
+    preferences/kbibtexpreferencesdialog.cpp
+    preferences/settingsgeneralwidget.cpp
+    preferences/settingsglobalkeywordswidget.cpp
+    preferences/settingscolorlabelwidget.cpp
+    preferences/settingsuserinterfacewidget.cpp
+    preferences/settingsfileexporterbibtexwidget.cpp
+    preferences/settingsfileexporterpdfpswidget.cpp
+    preferences/settingsfileexporterwidget.cpp
+    preferences/settingsabstractwidget.cpp
     valuelistmodel.cpp
 )
 
 add_definitions( -DMAKE_KBIBTEXGUI_LIB )
 
-# debug area for KBibTeX's IO library
+# debug area for KBibTeX's GUI library
 add_definitions(-DKDE_DEFAULT_DEBUG_AREA=101012)
 
 kde4_add_library( kbibtexgui SHARED ${kbibtexgui_LIB_SRCS} )
@@ -42,9 +55,11 @@
     ${QT_QTCORE_LIBRARY}
     ${QT_QTGUI_LIBRARY}
     ${KDE4_KDEUI_LIBS}
-        ${KDE4_KIO_LIBS}
-        kbibtexio
+    ${KDE4_KIO_LIBS}
+    kbibtexio
+    kbibtexproc
 )
 
-install(TARGETS kbibtexgui DESTINATION ${LIB_INSTALL_DIR})
+install( TARGETS kbibtexgui RUNTIME DESTINATION bin LIBRARY DESTINATION ${LIB_INSTALL_DIR} )
 
+install( FILES bibtex/findduplicatesui.rc  DESTINATION ${DATA_INSTALL_DIR}/kbibtex )
