=== debian/changelog ===
kbibtex (0.4-4) unstable; urgency=low

  * Fix dataloss affecting doi fields more then one slash, thanks to 
  David Wagner (Closes: #694782).

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Tue, 04 Dec 2012 13:32:20 +0100

kbibtex (0.4-3) unstable; urgency=low

  * Adopt kbibtex (Closes: #654750)
  * Bug fix: "New kbibtex destroys localfile information" (Closes: #644024).
  * Bug fix: "Spelling error in control file (ressources >> resources) in 
  control file, thanks to Clayton Casciato (Closes: #687353).

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Mon, 05 Nov 2012 11:46:07 +0100

kbibtex (0.4-2) unstable; urgency=low

  * Add patch to fix FTBFS with GCC 4.7 -- mising include (Closes: #664924).
    Courtesy of Sebastian Ramacher.

 -- Michael Hanke <mih@debian.org>  Sun, 13 May 2012 20:15:17 +0200

kbibtex (0.4-1) unstable; urgency=low

  * New upstream release.
  * Add patch to disable -Wcast-align flag to prevent a (presumably)
    false-positive warning to cause a FTBFS (Closes: #647030).
  * Adjust debian/copyright to include a standalone paragraph for the GPL-2.
  * Added patch to allow compiling with latest GCC (missing header includes).

 -- Michael Hanke <mih@debian.org>  Thu, 15 Dec 2011 03:43:34 +0100
