=== debian/control ===
Source: kbibtex
Section: kde
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Bastien Roucariès <roucaries.bastien+debian@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), cmake (>= 2.6~), kdelibs5-dev, libpoppler-qt4-dev, libxslt1-dev, libqtwebkit-dev
Standards-Version: 3.9.2
Homepage: http://www.unix-ag.uni-kl.de/~fischer/kbibtex
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/kbibtex.git
Vcs-Git: git://git.debian.org/git/debian-science/packages/kbibtex.git
XS-DM-Upload-Allowed: yes


Package: kbibtex
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: texlive-latex-base | tetex-extra, bibtex2html, latex2rtf
Recommends: texlive-bibtex-extra
Description: BibTeX editor for KDE
 An application to manage bibliography databases in the BibTeX format. KBibTeX
 can be used as a standalone program, but can also be embedded into other KDE 
 applications (e.g. as bibliography editor into Kile).
 .
 KBibTeX can query online resources (e.g. Google scholar) via customizable 
 search URLs. It is also able to import complete datasets from NCBI Pubmed.
 It also supports tagging references with keywords and manages references to
 local files.
 .
 BibTeX files can be exported into HTML, XML, PDF, PS and RTF format using a 
 number of citation styles.
