=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,6 @@
 	dh_auto_configure -- \
 		-DPLUGIN_INSTALL_DIR:PATH=/usr/lib/kde4 \
 		-DLIB_INSTALL_DIR:PATH=/usr/lib/kbibtex
+
+override_dh_install:
+	dh_install
